Create a project in an organization
POST
/organizations/{org_id}/projects
const url = 'https://api.perstat.io/organizations/example/projects';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.perstat.io/organizations/example/projects \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example" }'Creates a project with the given name; a URL slug is derived server-side from the name. Requires project management rights. A name that normalizes to an empty slug is rejected with 400, a slug collision with 409.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
Examplegenerated
{ "name": "example"}Responses
Section titled “Responses”Media typeapplication/json
object
id
required
string
name
required
string
organization_id
required
string
slug
required
string
Examplegenerated
{ "id": "example", "name": "example", "organization_id": "example", "slug": "example"}Role may not manage projects